MyGUI: MyGUI::ResourceManualFont Class Reference

MyGUI 3.4.3

Public Types | Public Member Functions | Static Public Member Functions
MyGUI::ResourceManualFont Class Reference

`#include <MyGUI_ResourceManualFont.h>`

Inheritance diagram for MyGUI::ResourceManualFont:
[legend]

## Public Types
typedef RTTIBase | Base
typedef ResourceManualFont | RTTIBase
Public Types inherited from MyGUI::IFont
typedef RTTIBase | Base
typedef IFont | RTTIBase
Public Types inherited from MyGUI::IResource
typedef RTTIBase | Base
typedef IResource | RTTIBase
Public Types inherited from MyGUI::ISerializable
typedef RTTIBase | Base
typedef ISerializable | RTTIBase
Public Types inherited from MyGUI::IObject
typedef IObject | RTTIBase

## Public Member Functions
virtual std::string_view | getTypeName () const override
virtual bool | isType (const std::type_info &_type) const override
template<typename Type>
bool | isType () const
void | deserialization (xml::ElementPtr _node, Version _version) override
const GlyphInfo * | getGlyphInfo (Char _id) const override
ITexture * | getTextureFont () const override
int | getDefaultHeight () const override
void | setSource (std::string_view value)
void | setShader (std::string_view value)
void | setTexture (MyGUI::ITexture *texture)
void | setDefaultHeight (int value)
void | addGlyphInfo (Char id, const GlyphInfo &info)
Public Member Functions inherited from MyGUI::IFont
template<typename Type>
bool | isType () const
Public Member Functions inherited from MyGUI::IResource
template<typename Type>
bool | isType () const
const std::string & | getResourceName () const
void | setResourceName (std::string_view _value)
| IResource (IResource const &)=delete
IResource & | operator= (IResource const &)=delete
Public Member Functions inherited from MyGUI::ISerializable
template<typename Type>
bool | isType () const
virtual void | serialization (xml::ElementPtr, Version)
Public Member Functions inherited from MyGUI::IObject
template<typename Type>
bool | isType () const
template<typename Type>
Type * | castType (bool _throw=true)
template<typename Type>
const Type * | castType (bool _throw=true) const
virtual | ~IObject ()=default

## Static Public Member Functions
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IFont
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IResource
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::ISerializable
static std::string_view | getClassTypeName ()
Static Public Member Functions inherited from MyGUI::IObject
static std::string_view | getClassTypeName ()

## Additional Inherited Members
Protected Member Functions inherited from MyGUI::IResource
| IResource ()=default
| ~IResource () override=default
Protected Attributes inherited from MyGUI::IResource
std::string | mResourceName

## Detailed Description

Definition at line 19 of file MyGUI_ResourceManualFont.h.

## Member Typedef Documentation

## ◆ Base

typedef RTTIBase MyGUI::ResourceManualFont::Base

Definition at line 21 of file MyGUI_ResourceManualFont.h.

## ◆ RTTIBase

typedef ResourceManualFont MyGUI::ResourceManualFont::RTTIBase

Definition at line 21 of file MyGUI_ResourceManualFont.h.

## Member Function Documentation

## ◆ addGlyphInfo()

void MyGUI::ResourceManualFont::addGlyphInfo | ( | Char | id,
|  | const GlyphInfo & | info )

Definition at line 170 of file MyGUI_ResourceManualFont.cpp.

## ◆ deserialization()

void MyGUI::ResourceManualFont::deserialization | ( | xml::ElementPtr | _node,
|  | Version | _version )
| overridevirtual

Reimplemented from MyGUI::IResource.

Definition at line 41 of file MyGUI_ResourceManualFont.cpp.

## ◆ getClassTypeName()

std::string_view MyGUI::ResourceManualFont::getClassTypeName | ( |  | ) |
| inlinestatic

Definition at line 21 of file MyGUI_ResourceManualFont.h.

## ◆ getDefaultHeight()

int MyGUI::ResourceManualFont::getDefaultHeight | ( |  | ) | const
| overridevirtual

Implements MyGUI::IFont.

Definition at line 140 of file MyGUI_ResourceManualFont.cpp.

## ◆ getGlyphInfo()

const GlyphInfo * MyGUI::ResourceManualFont::getGlyphInfo | ( | Char | _id | ) | const
| overridevirtual

Implements MyGUI::IFont.

Definition at line 16 of file MyGUI_ResourceManualFont.cpp.

## ◆ getTextureFont()

ITexture * MyGUI::ResourceManualFont::getTextureFont | ( |  | ) | const
| overridevirtual

Implements MyGUI::IFont.

Definition at line 135 of file MyGUI_ResourceManualFont.cpp.

## ◆ getTypeName()

virtual std::string_view MyGUI::ResourceManualFont::getTypeName | ( |  | ) | const
| inlineoverridevirtual

Get type name as string

Reimplemented from MyGUI::IFont.

Definition at line 21 of file MyGUI_ResourceManualFont.h.

## ◆ isType() [1/2]

template<typename Type>

bool MyGUI::ResourceManualFont::isType | ( |  | ) | const
| inline

Compare with selected type

Definition at line 21 of file MyGUI_ResourceManualFont.h.

## ◆ isType() [2/2]

virtual bool MyGUI::ResourceManualFont::isType | ( | const std::type_info & | _type | ) | const
| inlineoverridevirtual

Compare with selected type

Reimplemented from MyGUI::IFont.

Definition at line 21 of file MyGUI_ResourceManualFont.h.

## ◆ setDefaultHeight()

void MyGUI::ResourceManualFont::setDefaultHeight | ( | int | value | ) |

Definition at line 165 of file MyGUI_ResourceManualFont.cpp.

## ◆ setShader()

void MyGUI::ResourceManualFont::setShader | ( | std::string_view | value | ) |

Definition at line 152 of file MyGUI_ResourceManualFont.cpp.

## ◆ setSource()

void MyGUI::ResourceManualFont::setSource | ( | std::string_view | value | ) |

Definition at line 145 of file MyGUI_ResourceManualFont.cpp.

## ◆ setTexture()

void MyGUI::ResourceManualFont::setTexture | ( | MyGUI::ITexture * | texture | ) |

Definition at line 159 of file MyGUI_ResourceManualFont.cpp.

The documentation for this class was generated from the following files:

- MyGUI_ResourceManualFont.h
- MyGUI_ResourceManualFont.cpp